Opened 11 years ago

Closed 10 years ago

#2399 closed defect (fixed)

regression test failure on armel (and armhf, powerpc, s390)

Reported by: mwanner Owned by: pramsey
Priority: medium Milestone: PostGIS 2.1.2
Component: postgis Version: 2.0.x
Keywords: Cc: mwanner

Description

Version info:

 PostgreSQL 9.1.9 on armv5tel-unknown-linux-gnueabi, compiled by gcc (Debian 4.8.1-3) 4.8.1, 32-bit
 Postgis 2.0.3 - r11128 - 2013-08-01 12:36:10
   GEOS: 3.3.3-CAPI-1.7.4
   PROJ: Rel. 4.7.1, 23 September 2009

Failing test:

 tickets .. failed (diff expected obtained: /tmp/pgis_reg/test_66_diff)
--- tickets_expected    2013-04-18 15:26:11.000000000 +0000
+++ /tmp/pgis_reg/test_66_out   2013-08-01 18:49:41.673400353 +0000
@@ -186,8 +186,8 @@
 #745|GEOMETRYCOLLECTION(POLYGON((-72 42 1,-70 43 1,-71 41 1,-72 42 1)))
 #1450|POINT|POLYGON
 #1482|4326
-#852.1|1|f|f
-#852.1|2|f|f
+#852.1|1|t|t
+#852.1|2|t|t
 #852.2|1|t|t
 #852.2|2|t|t
 #1489|MULTIPOINT EMPTY|0|MULTILINESTRING EMPTY|0|MULTIPOLYGON EMPTY|0|GEOMETRYCOLLECTION EMPTY|0
@@ -199,7 +199,7 @@
 #1398a|POINT(-119.093153 45.632669)
 #1398b|POINT(-160.137654 77.091608)
 #1543|MULTILINESTRING((0 0,10 0,10 10,0 0),(0 0))|POLYGON((0 0,10 10,10 0,0 0))
-#1578|f|f
+#1578|f|t
 #1580.1|Point[B]
 ERROR:  transform: couldn't project point (180 90 0): tolerance condition error (-20)
 #1580.3|Point[B]

Found via Debian buildd: https://buildd.debian.org/status/fetch.php?pkg=postgis&arch=armel&ver=2.0.3-5&stamp=1374860993

I also have an ARM box which shows the exact same error and which I can use to test on.

Change History (7)

comment:1 by robe, 11 years ago

FWIW these errors map to #852 and #1578 tickets. Though your #1578 is not crashing just not returning expected answer.

comment:2 by mwanner, 11 years ago

Summary: regression test failure on armelregression test failure on armel (and armhf, powerpc, s390)

As recently reported via Email, these two also fail exactly the same way on: armhf, powerpc and s390, but not on mips, sparc nor mipsel.

comment:3 by pramsey, 11 years ago

Milestone: PostGIS 2.0.4PostGIS 2.0.5

Any way to get login access to a box to try and figure these out?

comment:4 by robe, 11 years ago

mwanner is this still failing?

comment:5 by robe, 10 years ago

Milestone: PostGIS 2.0.5PostGIS 2.1.2

comment:6 by mwanner, 10 years ago

Yes, this is still failing (as of 2.1.1, not trunk, though).

I have an ARM at hand and am trying to track down some issues. A first one is covered by #2605.

comment:7 by mwanner, 10 years ago

Resolution: fixed
Status: newclosed

Postgis-2.1.1-5 now passes tests on all architectures supported by Debian (except Hurd, where it didn't ever pass, before). I applied quite a few patches, some of which are Debian specific, others should be applied upstream. The latter are (hopefully) covered by #2396, #2605, and #2620. An additional nice to have is #2621. Also note #2543, which features a patch I applied in good faith - and certainly makes tests pass on mips.

The debian/patches directory certaily lists all patches applied. See here: http://anonscm.debian.org/gitweb/?p=pkg-grass/postgis.git;a=tree;f=debian/patches;h=3a51ed64cfce8586d9a7e9ba03e898489d8e9f67;hb=e58d45de902239d50b620826373b55b83409e3f8

I'm hereby closing this issue, as it doesn't feature any patch nor lists any additional defect.

Note: See TracTickets for help on using tickets.